> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Vin Eligibility Check

> Check the eligibility of multiple VINs


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- NOT_PERMITTED
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR



## OpenAPI

````yaml post /v1/vehicles/eligibility
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/eligibility:
    post:
      tags:
        - Vehicle Eligibility
      summary: Bulk Vin Eligibility Check
      description: >-
        Check the eligibility of multiple VINs



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - NOT_PERMITTED

        - REQUEST_VALIDATION_ERROR

        - SERVER_ERROR
      operationId: Bulk_VIN_eligibility_check_v1_vehicles_eligibility_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkVinEligibilityRequest'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkVinEligibilityResponse'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    BulkVinEligibilityRequest:
      properties:
        vins:
          items:
            $ref: '#/components/schemas/SingleEligibilityEntry'
          type: array
          maxItems: 500
          minItems: 1
          title: Vins
          description: >-
            List of vehicle identification numbers. Each VIN must be a
            17-character alphanumeric string.
      type: object
      required:
        - vins
      title: BulkVinEligibilityRequest
    BulkVinEligibilityResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/EligibilityUploadStatusEnum'
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - status
        - createdAt
      title: BulkVinEligibilityResponse
      description: Response for async bulk eligibility request on connect-api
    SingleEligibilityEntry:
      properties:
        vin:
          type: string
          maxLength: 17
          minLength: 17
          pattern: ^[A-Z0-9]*$
          title: Vin
          description: Vehicle identification number (VIN).
        make:
          type: string
          enum:
            - ABARTH
            - ALFA ROMEO
            - AUDI
            - BMW
            - CHRYSLER
            - CITROEN
            - CUPRA
            - DODGE
            - DS AUTOMOBILES
            - FIAT
            - FORD
            - HYUNDAI
            - JEEP
            - KIA
            - LANCIA
            - LEXUS
            - MASERATI
            - MERCEDES BENZ
            - MINI
            - NISSAN
            - OPEL
            - PEUGEOT
            - POLESTAR
            - RAM
            - RENAULT
            - SEAT
            - SKODA
            - TESLA
            - TOYOTA
            - VAUXHALL
            - VOLKSWAGEN
            - VOLVO
          title: MakeEnum
          description: Manufacturer of the vehicle
        countryCode:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
            - type: 'null'
          title: Countrycode
          description: ISO two-character country code for the VIN being checked.
      type: object
      required:
        - countryCode
      title: SingleEligibilityEntry
    EligibilityUploadStatusEnum:
      type: string
      enum:
        - CREATED
        - PROCESSING
        - COMPLETED
        - FAILED
      title: EligibilityUploadStatusEnum
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````